- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SetPositionCommand Class Reference

`#include <Command.h>`

Inheritance diagram for SetPositionCommand:

List of all members.

## Public Member Functions
| SetPositionCommand (Object *object, int xPos, int yPos)
| SetPositionCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _object
int | _xPos
int | _yPos
## Static Private Attributes
static const std::string | _id = "setPosition"

## Detailed Description

Definition at line 433 of file Command.h.

## Constructor & Destructor Documentation

SetPositionCommand::SetPositionCommand | ( | Object * | object,
|  | int | xPos,
|  | int | yPos
| ) |

| Definition at line 10 of file SetPositionCommand.cpp.

SetPositionCommand::SetPositionCommand | ( | List * | command | ) |

| Definition at line 16 of file SetPositionCommand.cpp. References _object, _xPos, _yPos, List::firstInt(), List::firstString(), and List::rest().

## Member Function Documentation

void SetPositionCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 26 of file SetPositionCommand.cpp. References _object, _xPos, _yPos, Level::getObject(), Level::instance(), and Object::setPos().

std::string SetPositionCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 34 of file SetPositionCommand.cpp. References _id, _object, _xPos, _yPos, List::getString(), and List::snoc().

static std::string SetPositionCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 441 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string SetPositionCommand::_id = "setPosition"`[static, private]`

| Definition at line 448 of file Command.h. Referenced by getString(), and id().

std::string SetPositionCommand::_object`[private]`

| Definition at line 444 of file Command.h. Referenced by execute(), getString(), and SetPositionCommand().

int SetPositionCommand::_xPos`[private]`

| Definition at line 445 of file Command.h. Referenced by execute(), getString(), and SetPositionCommand().

int SetPositionCommand::_yPos`[private]`

| Definition at line 446 of file Command.h. Referenced by execute(), getString(), and SetPositionCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/SetPositionCommand.cpp